### Enumeration

# Xdp LoginSessionState

#### Declaration

    enum Xdp.LoginSessionState

#### Description [src]

The values of this enum are returned in the `XdpPortal::session-state-changed` signal to indicate the current state of the user session.

#### Members

`XDP_LOGIN_SESSION_RUNNING`

  The session is running.

  - Value: `1`
  - Available since: 1.0
`XDP_LOGIN_SESSION_QUERY_END`

  The session is in the query end phase, during which applications can save their state or inhibit the session from ending.

  - Value: `2`
  - Available since: 1.0
`XDP_LOGIN_SESSION_ENDING`

  The session is about to end.

  - Value: `3`
  - Available since: 1.0